riskyUser のリスト履歴
名前空間: microsoft.graph
重要
Microsoft Graph のバージョンの /beta API は変更される可能性があります。 実稼働アプリケーションでこれらの API を使用することは、サポートされていません。 API が v1.0 で使用できるかどうかを確認するには、 バージョン セレクターを使用します。
riskyUser リソースの リスク履歴を取得 します。
注: riskyUsers API を使用するには、ライセンスAzure AD Premium P2必要です。
アクセス許可
この API を呼び出すには、次のいずれかのアクセス許可が必要です。アクセス許可の選択方法などの詳細については、「アクセス許可」を参照してください。
| アクセス許可の種類 | アクセス許可 (特権の小さいものから大きいものへ) |
|---|---|
| 委任 (職場または学校のアカウント) | IdentityRiskyUser.Read.All, IdentityRiskyUser.ReadWrite.All |
| 委任 (個人用 Microsoft アカウント) | サポートされていません。 |
| アプリケーション | IdentityRiskyUser.Read.All, IdentityRiskyUser.ReadWrite.All |
HTTP 要求
GET /riskyUsers/{id}/history
GET /identityProtection/riskyUsers/{id}/history/
要求ヘッダー
| 名前 | 説明 |
|---|---|
| Authorization | ベアラー {token}。必須。 |
要求本文
このメソッドには、要求本文を指定しません。
応答
成功した場合、このメソッドは 200 OK 応答コードと、応答本文の riskyUsersHistoryItem オブジェクトのコレクションを返します。
例
例 1: 特定のユーザーの履歴を一覧表示する
要求
以下は、要求の例です。
GET https://graph.microsoft.com/beta/riskyUsers/41a31b00-3b3b-42d9-8f1c-6d4f14e74c69/history
応答
以下は、応答の例です。
HTTP/1.1 200 OK
Content-type: application/json
{
"@odata.context": "https://graph.microsoft.com/beta/$metadata#riskyUsers('41a31b00-3b3b-42d9-8f1c-6d4f14e74c69')/history",
"value": [
{
"id": "41a31b00-3b3b-42d9-8f1c-6d4f14e74c69",
"isDeleted": false,
"isGuest": false,
"isProcessing": false,
"riskLevel": "none",
"riskState": "remediated",
"riskDetail": "userPerformedSecuredPasswordReset",
"riskLastUpdatedDateTime": "2019-05-03T03:50:34.9565578Z",
"userDisplayName": "Allan Deyoung",
"userPrincipalName": "AllanD@contoso.OnMicrosoft.com",
"userId": "41a31b00-3b3b-42d9-8f1c-6d4f14e74c69",
"initiatedBy": "68ca8ec0-11f8-456b-a785-70d9936650d5",
"activity": {
"eventTypes": [],
"detail": "userPerformedSecuredPasswordReset"
}
},
{
"id": "41a31b00-3b3b-42d9-8f1c-6d4f14e74c69636901009342322587",
"isDeleted": false,
"isGuest": false,
"isProcessing": false,
"riskLevel": "high",
"riskState": "atRisk",
"riskDetail": "none",
"riskLastUpdatedDateTime": "2019-04-05T22:31:27Z",
"userDisplayName": "Allan Deyoung",
"userPrincipalName": "AllanD@contoso.OnMicrosoft.com",
"userId": "41a31b00-3b3b-42d9-8f1c-6d4f14e74c69",
"initiatedBy": null,
"activity": {
"eventTypes": [
"anonymizedIPAddress"
],
"detail": null
}
},
{
"id": "41a31b00-3b3b-42d9-8f1c-6d4f14e74c69636901020140973557",
"isDeleted": false,
"isGuest": false,
"isProcessing": false,
"riskLevel": "none",
"riskState": "remediated",
"riskDetail": "userPerformedSecuredPasswordReset",
"riskLastUpdatedDateTime": "2019-04-05T23:00:14.0973557Z",
"userDisplayName": "Allan Deyoung",
"userPrincipalName": "AllanD@contoso.OnMicrosoft.com",
"userId": "41a31b00-3b3b-42d9-8f1c-6d4f14e74c69",
"initiatedBy": "68ca8ec0-11f8-456b-a785-70d9936650d5",
"activity": {
"eventTypes": [],
"detail": "userPerformedSecuredPasswordReset"
}
}
]
}
例 2: 特定のユーザーの履歴を一覧表示する
要求
以下は、要求の例です。
GET https://graph.microsoft.com/beta/identityProtection/riskyUsers/41a31b00-3b3b-42d9-8f1c-6d4f14e74c69/history
応答
以下は、応答の例です。
HTTP/1.1 200 OK
Content-type: application/json
{
"@odata.context": "https://graph.microsoft.com/beta/$metadata#riskyUsers('41a31b00-3b3b-42d9-8f1c-6d4f14e74c69')/history",
"value": [
{
"id": "41a31b00-3b3b-42d9-8f1c-6d4f14e74c69",
"isDeleted": false,
"isProcessing": false,
"riskLevel": "none",
"riskState": "remediated",
"riskDetail": "userPerformedSecuredPasswordReset",
"riskLastUpdatedDateTime": "2019-05-03T03:50:34.9565578Z",
"userDisplayName": "Allan Deyoung",
"userPrincipalName": "AllanD@contoso.OnMicrosoft.com",
"userId": "41a31b00-3b3b-42d9-8f1c-6d4f14e74c69",
"initiatedBy": "68ca8ec0-11f8-456b-a785-70d9936650d5",
"activity": {
"eventTypes": [],
"detail": "userPerformedSecuredPasswordReset"
}
},
{
"id": "41a31b00-3b3b-42d9-8f1c-6d4f14e74c69636901009342322587",
"isDeleted": false,
"isProcessing": false,
"riskLevel": "high",
"riskState": "atRisk",
"riskDetail": "none",
"riskLastUpdatedDateTime": "2019-04-05T22:31:27Z",
"userDisplayName": "Allan Deyoung",
"userPrincipalName": "AllanD@contoso.OnMicrosoft.com",
"userId": "41a31b00-3b3b-42d9-8f1c-6d4f14e74c69",
"initiatedBy": null,
"activity": {
"eventTypes": [
"anonymizedIPAddress"
],
"detail": null
}
},
{
"id": "41a31b00-3b3b-42d9-8f1c-6d4f14e74c69636901020140973557",
"isDeleted": false,
"isProcessing": false,
"riskLevel": "none",
"riskState": "remediated",
"riskDetail": "userPerformedSecuredPasswordReset",
"riskLastUpdatedDateTime": "2019-04-05T23:00:14.0973557Z",
"userDisplayName": "Allan Deyoung",
"userPrincipalName": "AllanD@contoso.OnMicrosoft.com",
"userId": "41a31b00-3b3b-42d9-8f1c-6d4f14e74c69",
"initiatedBy": "68ca8ec0-11f8-456b-a785-70d9936650d5",
"activity": {
"eventTypes": [],
"detail": "userPerformedSecuredPasswordReset"
}
}
]
}
フィードバック
フィードバックの送信と表示